<%//Agurtzane Ene12: mantenimiento destinos%>
<%@page import="java.util.*,javax.sql.*,java.sql.*,javax.naming.*,m05bBD.m05bDestino,m05bClasses.*,java.io.PrintWriter" %>
<%@include file="/mantenimientosJSP/includes/m05b.inc"%>
		<!-- Para poder mostrar caracteres especiales en los mensajes javascript -->
<%@page contentType="text/html; charset=UTF-8" %>

<%
	// _______________________________XLNETs______________________________________
	// Evaluar variable de session que indica si esta conectado a XLNets
	if ((session.getAttribute("objetoSeguridad")) == null)  { 
		// Verificar que no ha transcurrido el tiempo de sesion (web.xml) %>
			<%@ include file="/m05bControlAcceso.inc"%>
	<% } %>
	<%@ include file="/m05bIdioma.inc"%>

<HTML>
<head>
		<title><%= resTit.getString("titMtoDestinos")%></title>
		<META HTTP-EQUIV="Content-Type" CONTENT="text/html; charset=UTF-8">
		<link rel="stylesheet" href="<%=m05bConstantesPaginas.PATH_ESTILOS%>/m05bestilos.css" type="text/css">
		<script language="javascript1.2" src="<%=m05bConstantesPaginas.PATH_SCRIPTS%>/m05Funciones.js"></script>
		<script language="javascript1.2" src="<%=m05bConstantesPaginas.PATH_SCRIPTS%>/m05bBusqDescrip.js"></script>
</head>
<BODY style="cursor: wait" onkeydown="" onload="document.body.style.cursor='default';InitMenu();" onunload="document.body.style.cursor='wait';">
 <div class="popup" id="capaDesc" >
 </div>
<%
	int contador = 0;
	String sql = "", sql2 = "";
	String codigo="", descripcion="", edescripcion="";
	String accion, mensaje;

	codigo = request.getParameter("Codigo");
	mensaje = request.getParameter("Mensaje");
	accion = request.getParameter("Accion");
	if (accion==null)
		accion="";
	m05bDestino destino = null;
				
	if (accion.equals(m05bConstantes.ACC_INSERTAR)) {
		accion=m05bConstantes.ACC_INSERTAR;
		session.removeAttribute("m05bDestino");
	} else  {
		accion=m05bConstantes.ACC_ACTUALIZAR;
		destino = (m05bDestino)session.getAttribute("m05bDestino");
		descripcion=destino.getDest_descripcion();
		edescripcion=destino.getDest_edescripcion();
		if (codigo.equals("0"))
			codigo="";
	}
	PrintWriter outMsg= response.getWriter();
	if (mensaje.equals(m05bConstantes.MSG_OK)) {
	    outMsg.println("<script>alert(dameAlerta(idioma, 3));</script>");
	} else if (mensaje.equals(m05bConstantes.MSG_EXISTE)){
		accion=m05bConstantes.ACC_INSERTAR;
	    outMsg.println("<script>alert(dameAlerta(idioma, 4));</script>");
	} else if (mensaje.equals(m05bConstantes.MSG_INTEGRIDAD)){
		accion=m05bConstantes.ACC_ACTUALIZAR;
	    outMsg.println("<script>alert(dameAlerta(idioma, 5));</script>");
	}
	outMsg.close();
	if (descripcion==null)
		descripcion="";
	if (edescripcion==null)
		edescripcion="";
	if (destino == null){
		destino = new m05bDestino();
		session.setAttribute("m05bDestino",destino);
	}
%>
 <SCRIPT language=JavaScript>
	var urlIdioma;		//URL recarga en funcion del idioma	var urlIdioma;
	var detPadre;		//Ventana padre de la actual
	var detActual;		//Ventana actual
	var rutaCabecera;	//Camino de migas
	urlIdioma = "<%=m05bConstantesPaginas.MTO_DESTINOS%>?Codigo=<%=codigo%>&Mensaje=false";
	detPadre = '<%=resCM.getString("cmRelDestinos")%>';
	rutaCabecera = "<%=m05bConstantesPaginas.DATOS_CABECERA%><%=m05bConstantesPaginas.MTO_REL_DESTINOS%>" + "'>\\"+detPadre+"</a>";
	detActual = '<%=resCM.getString("cmMtoDestinos")%>';
 </SCRIPT>
 <%@include file="/mantenimientosJSP/includes/m05Cabecera_c.jsp"%>
<p> 
<table  width="100%" height="100%" border="0" cellspacing="0" cellpadding="0" align="center">
	<tr><td colspan=3></td></tr>
	<tr valign="top">
		<td width="2%">
			<DIV ID="thessm" style="visibility:hidden;Position : Absolute ;Left : 0 ;Top : 80 ;Z-Index : 20;">
	      		<DIV ID="thessm2" style="Position : Absolute ;Left : (-150) ;Top : 0 ;Z-Index : 20;">
	                <%@ include file="/m05bMenuInicial.inc"%>
	       		</DIV>
			</DIV>
		</td>
		<td>&nbsp</td>
		<td width="98%">
			<FORM NAME="formDestinos" METHOD="POST">
					  <TABLE class="general">
					    <tr> 
					      <td width="90%" align="right"> 
					      	<input type="button" class="boton" name="<%= res.getString("etBOT_ELIMINAR")%>" value="<%= res.getString("etBOT_ELIMINAR")%>" ONCLICK="JavaScript:fncGrabar(Codigo.value, '<%=m05bConstantes.ACC_ELIMINAR%>');return false;" onMouseOver="top.status='<%= res.getString("etBOT_STATUSELIMINAR")%>'; return false" onMouseOut="top.status=''; return false" />
					      </td>
					      <td width="10%" align="right">
					        <input type="button" class="boton" name="<%= res.getString("etBOT_GRABAR")%>" value="<%= res.getString("etBOT_GRABAR")%>" ONCLICK="JavaScript:fncGrabar(Codigo.value, '<%=accion%>');return false;" onMouseOver="top.status='<%= res.getString("etBOT_STATUSGRABAR")%>'; return false" onMouseOut="top.status=''; return false" />
					      </td>
						</tr>
					  </TABLE>
					  <p>
					  <TABLE class="general">
					  	<tr>
					      <td width="40%"> <INPUT class="inputField" TYPE="hidden" NAME="DescripcionAnt" VALUE="<%=descripcion%>" size="48" maxlength="100" /> </td>
					      <td width="40%"> <INPUT class="inputField" TYPE="hidden" NAME="EdescripcionAnt" VALUE="<%=edescripcion%>" size="48" maxlength="100" /> </td>
					    </tr>
					  </TABLE>
					  <TABLE class="general">
					    <tr> 
					      <td width="18%" valign="top" class="inputFieldTitle">C&oacute;digo</td>
					      <td width="40%" valign="top" class="inputFieldTitle">Descripci&oacute;n</td>
					      <td width="40%" valign="top" class="inputFieldTitle">Descripci&oacute;n Euskera</td>
					    </tr>
					  </TABLE>
					  <TABLE id="table1" class="general">
					    <tr>
					      <% if ( (codigo.equals("")) || (mensaje.equals("Existe")) ) {  %>
					     		<td align="left" width="18%"> <INPUT class="inputFieldOblig" TYPE="TEXT" NAME="Codigo"  VALUE="<%=codigo%>" size="19" maxlength="5"/> </td>
						  <% } 
						  	else  { %>
					      		<td align="left" width="18%"> <INPUT class="inputFieldOblig" TYPE="TEXT" NAME="Codigo" DISABLED  VALUE="<%=codigo%>" size="19" maxlength="5"/> </td>
					      <%  }  %>
					      <td id="td1" align="left" width="40%"> <INPUT class="inputFieldOblig" TYPE="TEXT" NAME="Descripcion" VALUE="<%=descripcion%>" size="48" maxlength="100"  onkeypress="javascript:controlaCapa(event,this,'td1','table1','<%=m05bConstantes.TAB_DESTINOS%>','<%=m05bConstantes.COL_48_DESC_ORG%>','');"/> </td>
					      <td id="td2" align="left" width="40%"> <INPUT class="inputFieldOblig" TYPE="TEXT" NAME="Edescripcion" VALUE="<%=edescripcion%>" size="48" maxlength="100" onkeypress="javascript:controlaCapa(event,this,'td2','table1','<%=m05bConstantes.TAB_DESTINOS%>','<%=m05bConstantes.COL_48_EDESC_ORG%>','');"/> </td>
					   	</tr>					   
					  </TABLE>
			</FORM>
		</td>
	</tr>
	<tr>
			<td colspan="3"><%@ include file="/mantenimientosJSP/includes/m05Pie_c.jsp"%></td>
	</tr>
</table>
<script language="JavaScript">
    function fncGrabar(codigo,accion) {
	 	var docu = document.formDestinos;
 	 	if(docu.Codigo.value==""){
			alert(dameAlerta(idioma, 0));
			docu.Codigo.focus();
			return;
		}
	 	if(existeCaracter(docu.Codigo.value,"\'")||existeCaracter(docu.Codigo.value,'\"')){
			alert(dameAlerta(idioma, 1));
			docu.Codigo.focus();
			return;
		}
		if(docu.Descripcion.value==""){
			alert(dameAlerta(idioma, 0));
			docu.Descripcion.focus();
			return;
		}
		if(existeCaracter(docu.Descripcion.value,"\'")||existeCaracter(docu.Descripcion.value,'\"')){
			alert(dameAlerta(idioma, 1));
			docu.Descripcion.focus();
			return;
		}	
		if(docu.Edescripcion.value==""){
			alert(dameAlerta(idioma, 0));
			docu.Edescripcion.focus();
			return;
		}
		if(existeCaracter(docu.Edescripcion.value,"\'")||existeCaracter(docu.Edescripcion.value,'\"')){
			alert(dameAlerta(idioma, 1));
			docu.Edescripcion.focus();
			return;
		}	 
		
		if(accion=='<%=m05bConstantes.ACC_ELIMINAR%>'){
			if(!confirm('<%= res.getString("etCONFIRM_BORRAR")%>'))
				return;
		}
		
	    document.formDestinos.action="m05bGrabarDestinoServlet?Codigo=" + codigo + "&Accion=" + accion;
	    document.formDestinos.submit();
	}
    setTimeout('initSlide();', 1);
</SCRIPT>
</BODY>
</HTML>